icetWallTime(3)

NAME
icetWallTime - timer function

SYNOPSIS
#include <GL/ice-t.h>

double icetWallTime(void);

DESCRIPTION
Retrieves the current time, in seconds. The returned values of icetWallTime are only valid in relation to each other. That is, the time may or may not have anything to do with the current date or time. However, the difference of values between two calls to icetWallTime is the elapsed time in seconds between the two calls. Thus, icetWallTime is handy for determining the running time of various subprocesses. icetWallTime is used internally for determining the values for the state variables ICET_BUFFER_READ_TIME, ICET_BUFFER_WRITE_TIME, ICET_COMPARE_TIME, ICET_COMPOSITE_TIME, ICET_COMPRESS_TIME, ICET_RENDER_TIME, and ICET_TOTAL_DRAW_TIME.

RETURN VALUE
The current time, in seconds.

ERRORS
None.

WARNINGS
None.

BUGS
None known.

COPYRIGHT
Copyright © 2003 Sandia Corporation
Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive license for use of this work by or on behalf of the U.S. Government. Redistribution and use in source and binary forms, with or without modification, are permitted provided that this Notice and any statement of authorship are reproduced on all copies.

SEE ALSO
icetGet